Bug 232326 - sysutils/mkdesktop: Update to 2.8
Summary: sysutils/mkdesktop: Update to 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-10-16 15:38 UTC by bourne.identity@hotmail.com
Modified: 2018-12-08 08:06 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (bourne.identity)


Attachments
shar archive for mkdesktop 2.0 (35.81 KB, text/plain)
2018-10-16 15:38 UTC, bourne.identity@hotmail.com
no flags Details
portlint log for mkdesktop 2.0 (183 bytes, text/plain)
2018-10-16 15:39 UTC, bourne.identity@hotmail.com
no flags Details
poudriere log for mkdesktop 2.0 (13.48 KB, text/plain)
2018-10-16 15:40 UTC, bourne.identity@hotmail.com
no flags Details
Revised shar archive for mkdesktop (39.74 KB, text/plain)
2018-10-16 19:54 UTC, bourne.identity@hotmail.com
no flags Details
Revised portlint log for mkdesktop (234 bytes, text/plain)
2018-10-16 19:55 UTC, bourne.identity@hotmail.com
no flags Details
Revised poudriere log for mkdesktop (13.36 KB, text/plain)
2018-10-16 19:55 UTC, bourne.identity@hotmail.com
no flags Details
Revised shar archive for mkdesktop 2.0 (attempt# 3) (39.76 KB, text/plain)
2018-10-16 23:48 UTC, bourne.identity@hotmail.com
no flags Details
Revised portlint log for mkdesktop 2.0 (attempt# 3) (234 bytes, text/plain)
2018-10-16 23:49 UTC, bourne.identity@hotmail.com
no flags Details
Revised poudriere log for mkdesktop 2.0 (attempt# 3) (13.36 KB, text/plain)
2018-10-16 23:50 UTC, bourne.identity@hotmail.com
no flags Details
Revised shar archive for mkdesktop 2.0 (attempt# 4) (39.65 KB, text/plain)
2018-10-17 17:32 UTC, bourne.identity@hotmail.com
no flags Details
Revised portlint log for mkdesktop 2.0 (attempt# 4) (234 bytes, text/plain)
2018-10-17 17:33 UTC, bourne.identity@hotmail.com
no flags Details
Revised poudriere log for mkdesktop 2.0 (attempt# 4) (13.36 KB, text/plain)
2018-10-17 17:33 UTC, bourne.identity@hotmail.com
no flags Details
Revised shar archive for mkdesktop (attempt# 5) (39.89 KB, text/plain)
2018-10-28 12:47 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for mkdesktop to update to version 2.0 (75.56 KB, patch)
2018-10-31 13:54 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Revised shar archive for mkdesktop (attempt# 6) (2.20 KB, text/plain)
2018-10-31 19:41 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied to mkdesktop-1.8 for mkdesktop-2.0 (3.34 KB, patch)
2018-10-31 19:45 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Revised shar archive for mkdesktop (attempt# 7) (2.28 KB, text/plain)
2018-11-01 14:53 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for mkdesktop 1.8 to update to version 2.2 (3.16 KB, patch)
2018-11-01 14:55 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Revised shar archive for mkdesktop (attempt# 8) (2.28 KB, text/plain)
2018-11-11 16:36 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for mkdesktop 1.8 to update to version 2.4 (3.16 KB, patch)
2018-11-11 16:37 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Revised shar archive for mkdesktop (attempt# 9) (2.28 KB, text/plain)
2018-11-12 02:39 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for mkdesktop 1.8 to update to version 2.6 (3.16 KB, patch)
2018-11-12 02:41 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for mkdesktop 1.8 to update to version 2.6 (3.16 KB, patch)
2018-12-03 08:03 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for mkdesktop 1.8 to update to version 2.8 (3.22 KB, patch)
2018-12-06 02:18 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for mkdesktop 1.8 to update to version 2.8 (3.13 KB, patch)
2018-12-06 11:20 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for mkdesktop 1.8 to update to version 2.8 (3.13 KB, patch)
2018-12-06 17:45 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for mkdesktop 1.8 to update to version 2.8 (3.13 KB, patch)
2018-12-07 10:25 UTC, bourne.identity@hotmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bourne.identity@hotmail.com 2018-10-16 15:38:39 UTC
Created attachment 198221 [details]
shar archive for mkdesktop 2.0

sysutils/mkdesktop has been updated, primarily for 3 things :

1) Move off GitHub. files/* is much easier for me.
2) Cater to KDE5 (previous default was KDE4)
3) Bundle in a man page
Comment 1 bourne.identity@hotmail.com 2018-10-16 15:39:27 UTC
Created attachment 198222 [details]
portlint log for mkdesktop 2.0
Comment 2 bourne.identity@hotmail.com 2018-10-16 15:40:35 UTC
Created attachment 198223 [details]
poudriere log for mkdesktop 2.0
Comment 3 bourne.identity@hotmail.com 2018-10-16 19:54:11 UTC
Created attachment 198233 [details]
Revised shar archive for mkdesktop

Makefile fixed for :

Tab formatting
INSTALL_MAN
Swapped in FILESDIR in place of WRKDIR
Comment 4 bourne.identity@hotmail.com 2018-10-16 19:55:04 UTC
Created attachment 198234 [details]
Revised portlint log for mkdesktop
Comment 5 bourne.identity@hotmail.com 2018-10-16 19:55:41 UTC
Created attachment 198235 [details]
Revised poudriere log for mkdesktop
Comment 6 bourne.identity@hotmail.com 2018-10-16 23:48:06 UTC
Created attachment 198242 [details]
Revised shar archive for mkdesktop 2.0 (attempt# 3)
Comment 7 bourne.identity@hotmail.com 2018-10-16 23:49:13 UTC
Created attachment 198243 [details]
Revised portlint log for mkdesktop 2.0 (attempt# 3)
Comment 8 bourne.identity@hotmail.com 2018-10-16 23:50:08 UTC
Created attachment 198244 [details]
Revised poudriere log for mkdesktop 2.0 (attempt# 3)
Comment 9 bourne.identity@hotmail.com 2018-10-17 17:32:13 UTC
Created attachment 198275 [details]
Revised shar archive for mkdesktop 2.0 (attempt# 4)
Comment 10 bourne.identity@hotmail.com 2018-10-17 17:33:11 UTC
Created attachment 198276 [details]
Revised portlint log for mkdesktop 2.0 (attempt# 4)
Comment 11 bourne.identity@hotmail.com 2018-10-17 17:33:57 UTC
Created attachment 198277 [details]
Revised poudriere log for mkdesktop 2.0 (attempt# 4)
Comment 12 bourne.identity@hotmail.com 2018-10-28 12:47:07 UTC
Created attachment 198720 [details]
Revised shar archive for mkdesktop (attempt# 5)

1) Portlint / Poudriere logs available but being omitted.
2) The man page has been redone.
Comment 13 Richard Gallamore freebsd_committer 2018-10-31 03:52:30 UTC
Hello,

Can you please generate a diff and attach that instead? There are several ways to do this copying the unmodified port to portname.orig and then diff -ruNp portname.orig portname.


Shars are generally only accepted for new ports.
Comment 14 bourne.identity@hotmail.com 2018-10-31 11:47:02 UTC
Hi Richard/Kubilay,

Thanks for posting.

I am trying to generate the diff.

In case my diff is not possible to generate or is not reliable, could it be considered as an exceptional case to use the shar instead ?

In future, I will remember the need for diff for existing ports.


Tx
MJ
Comment 15 bourne.identity@hotmail.com 2018-10-31 13:54:34 UTC
Created attachment 198797 [details]
Diff to be applied for mkdesktop to update to version 2.0

I have been able to generate a diff. I think the diff is a good one, but you may like to cross-check with the shar. The shar I am 100% confident of, so am leaving the shar not marked as obsolete.
Comment 16 bourne.identity@hotmail.com 2018-10-31 13:59:02 UTC
Hi Kubilay,

I think you have asked me for maintainer-feedback. I do not know how to give the feedback and when ? Can you please elaborate a bit ?


Tx
MJ
Comment 17 Richard Gallamore freebsd_committer 2018-10-31 18:26:10 UTC
We need to keep the scripts on GitHub because this will add too much data to ports. Can you please revert this change? Also diffs are much easier to generate if you pull the svn or git repo. This can be done by following the instructions at [1] subsection 4.2.

I usually check it out in my home directory under Projects.

Once it is checked out, add the changes and enter the root ports directory and run the command:

svn diff sysutils/mkdesktop

[1] https://www.freebsd.org/doc/handbook/ports-using.html
Comment 18 bourne.identity@hotmail.com 2018-10-31 19:39:59 UTC
Hi Richard/Kubilay,

I reverted the move off GH.

I now have the port feeding off the new (and only existing) version of mkdesktop at GH, the new version 2.0.

I have 2 directories under /usr/ports/sysutils:

mkdesktop and mkdesktop.orig

The mkdesktop directory is for the current update (2.0). I will be uploading the shar for the updated mkdesktop, as well the diff generated by 'diff -ruNp mkdesktop.orig mkdesktop'

Please let me know afresh what else is needed. I am still quite new to most of these things, so please bear with my lack of skills.


Thanks.
Manish Jain
Comment 19 bourne.identity@hotmail.com 2018-10-31 19:41:45 UTC
Created attachment 198821 [details]
Revised shar archive for mkdesktop (attempt# 6)

The shar with mkdesktop 2.0 reverted to GitHub
Comment 20 bourne.identity@hotmail.com 2018-10-31 19:45:37 UTC
Created attachment 198822 [details]
Diff to be applied to mkdesktop-1.8 for mkdesktop-2.0

I am not quite sure whether the diff is exactly what was needed, or have screwed up something. Please cross-check things at your end if possible. In a worst case, perhaps use only the revised shar that I just uploaded.
Comment 21 Richard Gallamore freebsd_committer 2018-10-31 21:39:15 UTC
* Please revert all the added tabs on the new port
* For PLIST_FILES, can you change this format slightly utilizing backslash and a new line for each file specified keeping the indentations aligned. This will make readability much better
* Does mkdesktop command need to be copied to bin and datadir? If so why?
* WWW is missing in pkg-descr
* Regenerate distfile with make makesum, it is missing the TIMESTAMP
Comment 22 bourne.identity@hotmail.com 2018-11-01 14:53:47 UTC
Created attachment 198859 [details]
Revised shar archive for mkdesktop (attempt# 7)
Comment 23 bourne.identity@hotmail.com 2018-11-01 14:55:01 UTC
Created attachment 198860 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.2
Comment 24 bourne.identity@hotmail.com 2018-11-01 14:59:58 UTC
Hi Richard/Kubilay,

Thanks so much for your help.

I spent a few hours becoming better acquainted with things, and I think I now have a good port update. All the changes have been captured as a new version tagged as 2.2 at GitHub. I have uploaded both the following :

1) Diff to apply to mkdesktop-1.8 to update to mkdesktop-2.2
2) Shar of mkdesktop-2.2


Please let me know if the job done is enough. And thanks again.

Manish Jain
Comment 25 bourne.identity@hotmail.com 2018-11-11 16:36:51 UTC
Created attachment 199142 [details]
Revised shar archive for mkdesktop (attempt# 8)

Many minor improvements applied for the latest version v2.4
Comment 26 bourne.identity@hotmail.com 2018-11-11 16:37:43 UTC
Created attachment 199143 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.4

Many minor improvements applied for the latest version v2.4
Comment 27 bourne.identity@hotmail.com 2018-11-12 02:39:39 UTC
Created attachment 199153 [details]
Revised shar archive for mkdesktop (attempt# 9)

Minor fixes for mkdesktop updated for KDE5
Comment 28 bourne.identity@hotmail.com 2018-11-12 02:41:24 UTC
Created attachment 199154 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.6

diff to be applied to mkdesktop for updating from v1.8 to v2.6
Comment 29 bourne.identity@hotmail.com 2018-11-18 21:04:41 UTC
I just had a problem report triggered in my email. Is there a problem ? I do not seen anything in the nature of a problem, and I request PR owners to kindly let me know of what action (if any) is required from me.

Tx
MJ
Comment 30 Richard Gallamore freebsd_committer 2018-11-18 22:30:00 UTC
(In reply to bourne.identity@hotmail.com from comment #29)
Why is mkdesktop being installed in both bin and datadir? Does it really need to be present in both places?
Comment 31 bourne.identity@hotmail.com 2018-11-19 10:31:48 UTC
Hi Richard,

What I need is mkdesktop being installed as /usr/local/bin/mkdesktop. The setup further needs (at the very least) /usr/local/share/mkdesktop/stage-definitions - because the user might make a mess of $HOME/mkdesktop/stage-definitions, and then fix things by copying out the universal default stage-definitions afresh.

Since /usr/local/share/mkdesktop is to be created anyway for hosting the default stage-definitions, I wish the as-installed mkdesktop script itself to be available therein too. It lets the mkdesktop script itself be user-modifiable (and replaceable when needed).

Kindly advise whether the current Makefile is okay.


Tx
Manish Jain
Comment 32 bourne.identity@hotmail.com 2018-12-02 21:25:41 UTC
Hi Richard/Kubilay,

I got an automated email that I should special action for this PR. Is there something outstanding from my side ?

Tx
MJ
Comment 33 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 02:51:43 UTC
(In reply to bourne.identity@hotmail.com from comment #32)

Bugzilla has flags, which when set to ? <email> send notifications to said <email> requesting action.

Generally speaking, setting flags means something has been requested, details of which are usually in a comment. Examples of things that are requested, updated patches, general feedback/answer to a question, request for QA/testing, request for logs/error details/system information.

In this case/issue, the maintainer-feedback flag has been set (?), with your email as the requestee. You can hover over the flag name for a more detailed description of its use, and possible actions.

At some point in the past (just after comment 13, an updated patch and QA/testing was requested. 

If those issues have been taken care of, just set the maintainer-feedback flag to "+", which means acknowleged/done, but I can see that there's some outstanding questions or issues (eg: comment 30), so its best to address those before acknowledging the flag.

While we're here I would also set the shar attachment as obsolete (effectively hiding it). Port updates are to be provided in unified/svn diff format, and having two attachments that do the same thing can be confusing, delaying progress/review
Comment 34 bourne.identity@hotmail.com 2018-12-03 07:54:46 UTC
Hi Kubilay,

If the shar leads to review delay, I shall in future upload only the diff for existing ports.

Tx
Manish Jain
Comment 35 bourne.identity@hotmail.com 2018-12-03 08:03:00 UTC
Created attachment 199783 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.6

Re uploading the diff marking the shar as obsolete - as suggested by Kubilay.
Comment 36 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 08:08:56 UTC
(In reply to bourne.identity@hotmail.com from comment #34)

It doesn't make sense to provide shars, since:

- for new ports, shars are optional (diff or shar, shars were historically the required form), and 
- for port updates, diffs are required

Beyond that...

Seeing two attachments (among other things) on a bug can confuse people and prevent/discourage people from taking them to resolution (commit). Are they the same? Why are there two? Is one an older version?

All of these questions lead to the 'too hard' or 'not easy/ready enough' perception basket, which is not what you want as a contributor, or we want as a project.

The best advice and guidelines I can provide for contribution are documented here:

- https://wiki.freebsd.org/KubilayKocak/ThePerfectPortsIssue
- https://wiki.freebsd.org/KubilayKocak/Bugzilla/DosAndDonts

All of the guidelines are based on experience, aimed at improving time to response through reduced ambiguity, greater explicitness and reduced number of cycles (back and forth). They also level up your contribution game. 

If you have any (more) questions, we're on #freebsd-bugs and #freebsd-ports on freenode IRC
Comment 37 bourne.identity@hotmail.com 2018-12-06 02:18:42 UTC
Created attachment 199879 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.8

mkdesktop now includes SLiM integration, besides a GPLv2 LICENSE
Comment 38 Richard Gallamore freebsd_committer 2018-12-06 06:56:39 UTC
This is looking much better. The only query still open is why mkdesktop is installed in both bin and shared data directories. If this is a requirement of the port, a relative path symbolic link[1] should be used. Otherwise, mkdesktop should only be installed in the locations required to run. The latter is more than likely correct.

[1] https://www.freebsd.org/doc/en/books/porters-handbook/special.html#staging
Comment 39 bourne.identity@hotmail.com 2018-12-06 11:20:21 UTC
Created attachment 199885 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.8

Port now flaunts integration with SLiM.
LICENSE is now GPLv2 with a dedicated LICENSE_FILE
Comment 40 bourne.identity@hotmail.com 2018-12-06 11:35:44 UTC
Hi Richard,

I have also restricted the script to just bin (and not share/).

Are things okay now ?

Tx
MJ
Comment 41 bourne.identity@hotmail.com 2018-12-06 17:45:20 UTC
Created attachment 199902 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.8

Man page updated to include SLiM mention
Comment 42 bourne.identity@hotmail.com 2018-12-07 10:25:03 UTC
Created attachment 199927 [details]
Diff to be applied for mkdesktop 1.8 to update to version 2.8

A minor fix to the man page was needed.
I think the port is now final.
Comment 43 commit-hook freebsd_committer 2018-12-08 04:52:14 UTC
A commit references this bug:

Author: ultima
Date: Sat Dec  8 04:51:47 UTC 2018
New revision: 486910
URL: https://svnweb.freebsd.org/changeset/ports/486910

Log:
  * Updated to 2.8
  * Added License
  * Removed unneeded depends
  * Updated pkg-descr

  PR:		232326
  Submitted by:	bourne^@hotmail.com (maintainer)

Changes:
  head/sysutils/mkdesktop/Makefile
  head/sysutils/mkdesktop/distinfo
  head/sysutils/mkdesktop/pkg-descr
Comment 44 Richard Gallamore freebsd_committer 2018-12-08 04:52:39 UTC
Committed, thanks!
Comment 45 bourne.identity@hotmail.com 2018-12-08 08:06:43 UTC
Thanks a lot, Richard / Kubilay / others   : - )